POST api/sticker/duplicate

Request Information

URI Parameters

None.

Body Parameters

StickerViewModel
NameDescriptionTypeAdditional information
descriptions

Dictionary of string [key] and string [value]

None.

type

StickerTypeViewModel

None.

relations

Collection of StickerRelationViewModel

None.

details

Collection of StickerDetailViewModel

None.

active

boolean

Required

code

string

Required

Max length: 50

id

globally unique identifier

None.

stickerType_ID

globally unique identifier

Required

stickerRelation_IDs

Collection of globally unique identifier

None.

site_ID

globally unique identifier

Required

Request Formats

application/json, text/json

Sample:
{
  "descriptions": {
    "sample string 1": "sample string 2",
    "sample string 3": "sample string 4"
  },
  "type": {
    "descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "code": "sample string 1",
    "id": "843424b6-6749-464c-9965-5d2ac80fff3b",
    "technicalDescription": "sample string 3",
    "active": true
  },
  "relations": [
    {
      "active": true,
      "contract_ID": "a245dd10-878e-4eec-a3b9-ab6b0b7c5d0f",
      "contractItem_ID": "f515aa74-f45a-48e8-809e-0b9b230ce382",
      "departement_ID": "1a7ceb61-2151-4436-b82b-e45af2ea5cb8",
      "departmentItem_ID": "5e2ca5d4-db15-40c1-a5a9-2fe8a6af61a2",
      "iD": "61f0d4c1-c773-4884-939b-6a1caed1f337",
      "site_ID": "267d666a-51bf-41a7-b585-61a8afc5fef1",
      "siteCustomer_ID": "390eafae-ad25-4191-b9a3-cd2a74fe3644",
      "sticker_ID": "fd11c298-b37c-4210-bd50-7fa44bddc10b",
      "garment_ID": "1dfdab44-ade2-41db-9e97-4cd37e9d3216"
    },
    {
      "active": true,
      "contract_ID": "a245dd10-878e-4eec-a3b9-ab6b0b7c5d0f",
      "contractItem_ID": "f515aa74-f45a-48e8-809e-0b9b230ce382",
      "departement_ID": "1a7ceb61-2151-4436-b82b-e45af2ea5cb8",
      "departmentItem_ID": "5e2ca5d4-db15-40c1-a5a9-2fe8a6af61a2",
      "iD": "61f0d4c1-c773-4884-939b-6a1caed1f337",
      "site_ID": "267d666a-51bf-41a7-b585-61a8afc5fef1",
      "siteCustomer_ID": "390eafae-ad25-4191-b9a3-cd2a74fe3644",
      "sticker_ID": "fd11c298-b37c-4210-bd50-7fa44bddc10b",
      "garment_ID": "1dfdab44-ade2-41db-9e97-4cd37e9d3216"
    }
  ],
  "details": [
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "fbaac3ff-2507-4b65-92ba-df7ccec2d3d4",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "b82a0704-43e0-4198-ad6e-8e1dabffa458",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "40d1c99e-af42-4781-94e2-4cd201293882",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "6c1d297d-95c4-4ba7-bb68-70acdbafdba3",
      "stickerField_ID": "743c8466-ee9d-4ecc-8234-e049a7629d9c",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    },
    {
      "stickerField": {
        "previewValue": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "descriptions": {
          "sample string 1": "sample string 2",
          "sample string 3": "sample string 4"
        },
        "active": true,
        "code": "sample string 2",
        "id": "fbaac3ff-2507-4b65-92ba-df7ccec2d3d4",
        "isProductionSite": true,
        "isStatic": true,
        "separator": "sample string 6",
        "stickerType_ID": "b82a0704-43e0-4198-ad6e-8e1dabffa458",
        "technicalDescription": "sample string 8"
      },
      "active": true,
      "backgroundColor": "sample string 2",
      "bold": true,
      "fontSize": 4,
      "foregroundColor": "sample string 5",
      "id": "40d1c99e-af42-4781-94e2-4cd201293882",
      "italic": true,
      "staticValue": "sample string 8",
      "sticker_ID": "6c1d297d-95c4-4ba7-bb68-70acdbafdba3",
      "stickerField_ID": "743c8466-ee9d-4ecc-8234-e049a7629d9c",
      "stringLength": 1,
      "stringStart": 1,
      "zoneNumber": 11
    }
  ],
  "active": true,
  "code": "sample string 2",
  "id": "38dbadb0-71d6-486e-a54c-3b1e3cd2d2a0",
  "stickerType_ID": "e0c15343-caab-4c2f-8064-58f0f2390949",
  "stickerRelation_IDs": [
    "55340c32-2bfa-4ab1-806e-e8623957b358",
    "fc2b0798-05d7-4e97-9e7a-7d5b0212c0a0"
  ],
  "site_ID": "adf25efe-262c-4ef7-8773-14778c2d8107"
}

application/xml

Sample:

Sample not available.

text/xml

Sample:

Sample not available.

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

globally unique identifier

Response Formats

application/json, text/json

Sample:
"8bb2b750-27a0-401a-a231-12ecdc38a71d"

application/xml, text/xml

Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">8bb2b750-27a0-401a-a231-12ecdc38a71d</guid>